# this specfile is inspired from fedoras'one.
# but I choose not to use git sources, I prefer using tarball
%define bname editor
%define tarname python-%{bname}
%define fname %{tarname}

Name:           python-%{tarname}
Version:        0.4
Release:        %mkrel 2
Summary:        Programmatically open an editor

Group:          Development/Python
License:        ASL
URL:            https://github.com/jcrocholl/pep8
Source0:        http://pypi.python.org/packages/source/p/%{fname}/%{fname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
Requires:       python-setuptools

%description
python-editor is a library that provides the editor module for programmatically
interfacing with your system’s $EDITOR.

# Python 3 package
%package -n python3-python-editor
Summary:    Python style guide checker

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description -n python3-python-editor
python-editor is a library that provides the editor module for programmatically
interfacing with your system’s $EDITOR.

This is a version for Python 3.

%prep
%setup -qn %{tarname}-%{version}

# Python 3 prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

# Python 3 build
pushd %{py3dir}
%{__python3} setup.py build
popd

%install
# Python 3 first
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
popd

# Python 2
%__python setup.py install -O1 --root %{buildroot}


%files
%{python_sitelib}/%{bname}.py*
%{python_sitelib}/python_editor-%{version}-*.egg-info

%files -n python3-%{tarname}
%{python3_sitelib}/%{bname}.py*
%{python3_sitelib}/python_editor-%{version}-*.egg-info
%{python3_sitelib}/__pycache__/%{bname}*




%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.4-2.mga6
+ Revision: 970795
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 0.4-1.mga6
+ Revision: 888370
- Importing python-python-editor

